Why isn't not-so-old devices supported?

Hi,

What requirement is special about Jitsi that prevents it supporting not-so-old devices like mine - Galaxy S4 mini?

According to the https://test.webrtc.org/ my phone is fully compatible with WebRTC protocol (all steps are green, except “network/ipV6 enabled”).